io.vertx.config.hocon

## Class HoconProcessor

- java.lang.Object
- - io.vertx.config.hocon.HoconProcessor

- All Implemented Interfaces:
    ConfigProcessor

      public class HoconProcessor
      extends Object
      implements ConfigProcessor

  A processor using Typesafe Conf to read Hocon files. It also support JSON and Properties. More details on Hocon and the used library on the Hocon documentation page.
  Author:
    Clement Escoffier

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `HoconProcessor()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `String` | `name()` Name of the processor, generally the name of the format it handles.
    `Future<JsonObject>` | `process(Vertx vertx, JsonObject configuration, Buffer input)` Transforms the given `input` into a `JsonObject`.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

    - ### Methods inherited from interface io.vertx.config.spi.ConfigProcessor

      `process`

- - ### Constructor Detail

    - #### HoconProcessor

          public HoconProcessor()

  - ### Method Detail

    - #### name

          public String name()

      Description copied from interface: `ConfigProcessor`
      Name of the processor, generally the name of the format it handles.
      Specified by:
        `name` in interface `ConfigProcessor`
      Returns:
        the name

    - #### process

          public Future<JsonObject> process(Vertx vertx,
                                            JsonObject configuration,
                                            Buffer input)

      Description copied from interface: `ConfigProcessor`
      Transforms the given `input` into a `JsonObject`.

      This is an asynchronous non-blocking transformation.

      Specified by:
        `process` in interface `ConfigProcessor`
      Parameters:
        `vertx` - the Vert.x instance
        `configuration` - the processor configuration, may be `null`
        `input` - the input, must not be `null`

Copyright © 2024 Eclipse. All rights reserved.